#!/bin/sh
sudo cp /user/CNSA/CNSA-276-FP/config.ini /config.bak
sudo rm -R /user/CNSA/CNSA-276-FP


# Function to check internet connectivity
check_internet_connection() {
    ping -c 1 1.1.1.1 > /dev/null 2>&1
    return $?
}

# Wait for internet connection
while ! check_internet_connection; do
    echo "Waiting for internet connection..."
    sleep 1  # Wait for 1 seconds before checking again
done

# Internet connection established
echo "Internet connection established. Running the portion of the script that requires it."

# Add your code here that requires an internet connection

sudo mkdir /user/CNSA/CNSA-276-FP/
sudo git clone https://gitea.eggtech.net/eggman20339/CNSA-276-FP.git /user/CNSA/CNSA-276-FP
sudo chmod 777 /user/CNSA/CNSA-276-FP/startup.sh

sudo cp /config.bak /user/CNSA/CNSA-276-FP/config.ini

screen -dmS DoorAuth bash -c "cd /user/CNSA/CNSA-276-FP/ && python3 main.py"

sudo cp /user/CNSA/CNSA-276-FP/startup.sh /user/CNSA/script/startup.sh