#!/bin/sh

sudo apt-get update
sudo apt-get upgrade -y
sudo apt-get update
sudo apt-get install python3-psycopg2 -y
sudo apt-get install python3-fido2 -y
sudo apt-get install screen -y

sudo apt-get update
sudo apt-get upgrade -y

sudo mkdir /user/CNSA

# Define crontab job
JOB="@reboot /bin/sh /user/CNSA/script/startup.sh"

# Check if the job is already in the crontab and add it if it's not
( crontab -l | grep -F "$JOB" || echo "$JOB" ) | crontab -

sudo git clone https://gitea.eggtech.net/eggman20339/CNSA-276-FP.git /user/CNSA/CNSA-276-FP

sudo mkdir /user/CNSA/script
sudo cp /user/CNSA/CNSA-276-FP/startup.sh /user/CNSA/script/startup.sh

sudo chmod 777 /user/CNSA/script/startup.sh

pip3 install --upgrade fido2 --break-system-packages
pip3 install nfcpy --break-system-packages
pip3 isntall --upgrade nfcpy --break-system-packages

sudo apt-get autoremove -y

echo ""
echo ""
echo ""
echo ""
echo ""
echo "Installation Complete! Rebooting..."
sleep 5
sudo reboot 0